购物车
登陆 / 注册
微信扫码登陆

推荐手册

@requires

@requires
@requires标签可以记录一个模块需要的依赖项。一个JSDoc注释块可以有多个@require标签。模块名可以被指定为 "moduleName" 或者 "module:moduleName";这两种形式将被解析为模块。
编辑:青灯夜游 青灯夜游 更新时间:2019-01-07 14:39:42

@requires

描述: 这个文件需要一个 JavaScript 模块。

语法

@requires <someModuleName>

概述

@requires标签可以记录一个模块需要的依赖项。一个JSDoc注释块可以有多个@require标签。模块名可以被指定为 "moduleName" 或者 "module:moduleName";这两种形式将被解析为模块。

JSDoc不会尝试处理被包含的模块。如果您希望该模块包含到文档中,您必须将模块包含到JavaScript文件列表进行处理。

例子

例如,使用@requires 标签

/**
 * This class requires the modules {@link module:xyzcorp/helper} and
 * {@link module:xyzcorp/helper.ShinyWidget#polish}.
 * @class
 * @requires module:xyzcorp/helper
 * @requires xyzcorp/helper.ShinyWidget#polish
 */
 function Widgetizer() {}
网站导航
网站首页
学习路径
视频教程
开发软件
旗下子站
php中文网
phpstudy
技术文章
文档工具
关于我们
企业合作
人才招聘
联系我们
讲师招募
QQ交流群
QQ交流群
微信公众号
微信公众号